> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-requests-overview/49.-query-get-gridded-data-from-fieldsatelliteimage.md).

# 49. Forespørgsel: Hent gitterdata fra "FieldSatelliteImage"

Forespørgsel til at hente gitterdata fra rasterdatasættet, der er knyttet til "FieldSatelliteImage", som `GEOJSON` med punkter eller `GEOTIFF`. Egenskaben properties afhænger af udbyderen og indeholder normalt de oprindelige data fra udbyderen (f.eks. RED, GREEN, BLUE, NIR og endda Clear Land) for hvert punkt/pixel. Du kan finde flere oplysninger om den eksporterede fil [HER](https://docs.geopard.tech/geopard-tutorials/dnk/produktguide-webapp/export-download/satellite-imagery-export-as-geotiff-or-geojson.md).

#### 1. Anmod om en fil til eksport

{% hint style="danger" %}
Det anbefales kun at hente ét datasæt med `sourceDataUrl` pr. anmodning.
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, og `MinusTwoPixels` kan vælges som `buffer`.

`GEOJSON` og `GEOTIFF` kan vælges som format.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Download den genererede fil

Når filen er klargjort, kan du downloade den ved hjælp af `curl` eller en lignende metode.

{% hint style="danger" %}
`sourceDataUrl` linket er kun tilgængeligt i **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/dnk/api-dokumentation/geopard-api-requests-overview/49.-query-get-gridded-data-from-fieldsatelliteimage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
